libzypp: zypp::internal::MediaNetworkRequestExecutor Class Reference

libzypp 17.38.14

zypp::internal::MediaNetworkRequestExecutor Class Reference

`#include <zypp/media/detail/MediaNetworkRequestExecutor.h>`

## Public Member Functions
| MediaNetworkRequestExecutor ()
void | executeRequest (zyppng::NetworkRequestRef &req, callback::SendReport< media::DownloadProgressReport > *report=nullptr)
zyppng::SignalProxy< void(const zypp::Url &url, media::TransferSettings &settings, const std::string &availAuthTypes, bool firstTry, bool &canContinue)> | sigAuthRequired ()

## Protected Attributes
zyppng::Signal< void(const zypp::Url &url, media::TransferSettings &settings, const std::string &availAuthTypes, bool firstTry, bool &canContinue)> | _sigAuthRequired
zyppng::EventDispatcherRef | _evDispatcher
zyppng::NetworkRequestDispatcherRef | _nwDispatcher

## Detailed Description

Simple helper class to execute a zyppng::NetworkRequest in a MediaHandler compatible way. E.g. throwing the expected exepctions on error, triggering the reports and authentication requests to the user.

Definition at line 35 of file MediaNetworkRequestExecutor.h.

## Constructor & Destructor Documentation

## ◆ MediaNetworkRequestExecutor()

zypp::internal::MediaNetworkRequestExecutor::MediaNetworkRequestExecutor | ( |  | ) |

Definition at line 13 of file MediaNetworkRequestExecutor.cc.

## Member Function Documentation

## ◆ executeRequest()

void zypp::internal::MediaNetworkRequestExecutor::executeRequest | ( | zyppng::NetworkRequestRef & | req,
|  | callback::SendReport< media::DownloadProgressReport > * | report = nullptr )

Definition at line 20 of file MediaNetworkRequestExecutor.cc.

## ◆ sigAuthRequired()

zyppng::SignalProxy< void(const zypp::Url &url, media::TransferSettings &settings, const std::string &availAuthTypes, bool firstTry, bool &canContinue)> zypp::internal::MediaNetworkRequestExecutor::sigAuthRequired | ( |  | ) |
| inline

Definition at line 42 of file MediaNetworkRequestExecutor.h.

## Member Data Documentation

## ◆ _sigAuthRequired

zyppng::Signal<void( const zypp::Url &url, media::TransferSettings &settings, const std::string &availAuthTypes, bool firstTry, bool &canContinue )> zypp::internal::MediaNetworkRequestExecutor::_sigAuthRequired
| protected

Definition at line 47 of file MediaNetworkRequestExecutor.h.

## ◆ _evDispatcher

zyppng::EventDispatcherRef zypp::internal::MediaNetworkRequestExecutor::_evDispatcher
| protected

Definition at line 48 of file MediaNetworkRequestExecutor.h.

## ◆ _nwDispatcher

zyppng::NetworkRequestDispatcherRef zypp::internal::MediaNetworkRequestExecutor::_nwDispatcher
| protected

Definition at line 49 of file MediaNetworkRequestExecutor.h.

The documentation for this class was generated from the following files:

- zypp/media/detail/MediaNetworkRequestExecutor.h
- zypp/media/detail/MediaNetworkRequestExecutor.cc